{% extends "layout.html" %}

{% block title %}
<a href="/curriculum">Learning</a>
{% if student and student.id != current_user.id %}
    <a href="/people/{{student.id}}">{{ student.first_name }}</a>
{% endif %}
{% endblock %}

{% block body %}

{% if current_user.is_teacher %}
    {% for error in errors or [] %}
        <div class='notification is-important'>{{error}}</div>
    {% endfor %}
    {% for warning in warnings or [] %}
        <div class='notification is-warning'>{{warning}}</div>
    {% endfor %}
{% endif %}

<div class="tab-selectors">
{% for period in periods %}
    <button class="link-button">
        {{ period }}
    </button>
{% endfor %}
</div>

<div class="tab-blocks mar4">
    {% for period, modules in periods.items() %}
    <div class="{{'tab-initial ' if period==initial_period else ''}}rows4">
        <div class="columns">
            {% for module in modules %}
            <div class="module">
                {% if module.get('name') %}
                    {% if module.get('owner') and current_user.is_authenticated %}
                    <address class="author">
                        <a rel="author" href="/people">
                            {{module.get('owner')}}
                        </a>
                    </address>
                    {% endif %}
                <details>
                    <summary>
                        <h2 class="module_{{module.status}}">
                            {{module.name}}
                            {% if module.train %}<small class="train">{{module.train}}</small>{% endif %}
                            {% if module.wip %}<div class="is-important tag">NOT READY</div>{% endif %}
                        </h2>
                    </summary>
                    {% if current_user.is_authenticated and module.get('co-owners')%}
                    <em class="coowners">Co-owners: 
                        {% set coowners = module.get('co-owners') | join(', ') %}
                        {{ coowners }}  
                    </em>
                    {% endif %}
                    {{(module.get('description') or '')|markdown|safe}}
                    {% if module.get('goals') %}
                    <p>Learning goals:</p>
                    {% endif %}
                    <ul>
                        {% for goal_title in module.get('goals').values() %}
                            <li>{{goal_title}}</li>
                        {% endfor %}
                    </ul>
                </details>
                {% endif %}

                {% for lesson in module.nodes %}
                    {% if not lesson.hidden %}
                        {% for depend_id in lesson.depend %}
                            <a class="chained lesson-dep" href="/curriculum/{{depend_id}}{{(student and student.url_query) or ''}}">
                                Depends on <em>{{depend_id}}</em>
                            </a>
                        {% endfor %}
                        <a class="chained lesson {{lesson['status']}}" href="/curriculum/{{lesson.id}}{{(student and student.url_query) or ''}}">
                            <h4>
                                {% if lesson.ects %}
                                    <div class="tag is-important">{{lesson.ects}} ects</div>
                                {% endif %}
                                {% if lesson.days!=1 %}
                                    <div class="tag is-info">{{lesson.days}} days</div>
                                {% endif %}
                                {% if lesson.pair %}
                                    <div class="tag is-ok">pair</div>
                                {% endif %}
                                {% if lesson.wip %}
                                    <span class="tag is-important">NOT READY</span>
                                {% elif current_user.is_teacher %}
                                    {% if lesson.errors %}
                                        <span class="tag is-important">ERROR</span>
                                    {% elif lesson.warnings %}
                                        <span class="tag is-warning">WARNING</span>
                                    {% endif %}
                                {% endif %}
                                {{lesson.name}}
                            </h4>
                            {{lesson.description}}
                        </a>
                    {% endif %}
                {% endfor %}
            </div>
            {% endfor %}
        </div>
    </div>
    {% endfor %}
</div>

{% if stats %}
    <p style="margin-top: 3em; color: #bbb; text-align: center;">
        {% for year, info in stats.items() %}
            Year {{year}} has {{info['*'].count}} nodes, spanning {{info['*'].avg_days}} nominal days.
        {% endfor %}
    </p>
{% endif %}

{% endblock %}
